LootJS.modifiers(event => {

  // ---------- Nether Fortress ----------
  event
    .addLootTableModifier('minecraft:chests/nether_bridge')
    .randomChance(0.08) // ~18 %
    .addLoot('kubejs:mana_crystal')

  event
    .addLootTableModifier('minecraft:chests/nether_bridge')
    .randomChance(0.10) // ~12 %
    .addLoot('kubejs:cooldown_reduction_crystal')

  event
    .addLootTableModifier('minecraft:chests/nether_bridge')
    .randomChance(0.08) // ~12 %
    .addLoot('kubejs:spell_power_crystal')

  event
    .addLootTableModifier('minecraft:chests/nether_bridge')
    .randomChance(0.06) // ~12 %
    .addLoot('kubejs:mana_regeneration_crystal')

  // ---------- End City ----------
  event
    .addLootTableModifier('minecraft:chests/end_city_treasure')
    .randomChance(0.10)
    .addLoot('kubejs:mana_crystal')

  event
    .addLootTableModifier('minecraft:chests/end_city_treasure')
    .randomChance(0.08)
    .addLoot('kubejs:cooldown_reduction_crystal')

  event
    .addLootTableModifier('minecraft:chests/end_city_treasure')
    .randomChance(0.08) // ~12 %
    .addLoot('kubejs:spell_power_crystal')

  event
    .addLootTableModifier('minecraft:chests/end_city_treasure')
    .randomChance(0.08) // ~12 %
    .addLoot('kubejs:mana_regeneration_crystal')

  // ---------- Ancient City ----------
  event
    .addLootTableModifier('minecraft:chests/ancient_city')
    .randomChance(0.08)
    .addLoot('kubejs:mana_crystal')

  event
    .addLootTableModifier('minecraft:chests/ancient_city')
    .randomChance(0.10)
    .addLoot('kubejs:cooldown_reduction_crystal')

  event
    .addLootTableModifier('minecraft:chests/ancient_city')
    .randomChance(0.05)
    .addLoot('kubejs:apollyon_bottom_right')

  event
    .addLootTableModifier('minecraft:chests/ancient_city')
    .randomChance(0.08) // ~12 %
    .addLoot('kubejs:spell_power_crystal')

  event
    .addLootTableModifier('minecraft:chests/ancient_city')
    .randomChance(0.12) // ~12 %
    .addLoot('kubejs:mana_regeneration_crystal')

})